Subject: RE: [rohc] ROHC Segmentation

From: "Lars-Erik Jonsson (EAB)" <[email-masked]>
Date: Tue, 27 Aug 2002 09:13:33 +0200

If the packet to send over the link (with compressed header) is larger than the max size supported by the link, the packet must be segmented. ROHC can be configured to handle this segmentation for cases where lower layers can not handle segmentation. It is not necessary to use ROHC segmentation, it was included as an additional feature.

BR
/L-E

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]
> Sent: den 27 augusti 2002 08:52
> To: [email-masked]
> Subject: [rohc] ROHC Segmentation
> 
> 
> Dear All,
> 
> I am a new user to ROHC. I have started reading 3095 since few days.My
> question may be very basic to you all , But, still I have a doubt.
> 
> Section 5.2.5 of 3095 says ROHC segmentation.
> 
> The call scenario whatever I know says that codecs take care 
> of the packet
> size.Hence I think that ROHC really need not worry about the 
> segmentation.
> 
> Can anybody explain me the call scenario where the ROHC has 
> to take care of
> the segmenatation.
> 
> 
> Thanks in advance,
> 
> Regards,
> Girish P.Deshpande
> L&T Infotech, Bangalore.
> 
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
> 
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 27 Aug 2002 13:34:17 +0200

Lars-Erik Jonsson (EAB) wrote:
> If the packet to send over the link (with compressed header) is 
 > larger than the max size supported by the link, the packet must
 > be segmented. ROHC can be configured to handle this segmentation
 > for cases where lower layers can not handle segmentation. It is
 > not necessary to use ROHC segmentation, it was included as an
 > additional feature.

... and negotiation protocols can provide mechanisms to negotiate whether this 
feature is/needs to be implemented.

e.g., RFC3241 section 2.1:

    MRRU
       The MRRU field is two octets and indicates the maximum
       reconstructed reception unit (see [RFC3095], section 5.1.1).

          Suggested value: 0

So any receiver that negotiates an MRRU of 0 does not even have to implement 
reception of ROHC segments (and, of course, one never has to transmit them, if 
the link MTU is large enough).

Gruesse, Carsten